GET
/workflows/{workflow_id}/jobs/{job_id}Authentication
cookieSessionapiKey
required
Encrypted session cookie issued after registration or login.
cookie: sessionParameters
workflow_idpath
required
No additional description.
string · uuidjob_idpath
required
No additional description.
string · uuidResponses
200
Job details
application/json
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"workflow_id": {
"type": "string",
"format": "uuid"
},
"status": {
"type": "string",
"enum": [
"PENDING",
"QUEUED",
"RUNNING",
"COMPLETED",
"FAILED",
"CANCELED"
]
},
"trigger": {
"type": "string",
"enum": [
"AUTOMATIC",
"MANUAL"
]
},
"scheduled_at": {
"type": "string",
"format": "date-time"
},
"started_at": {
"type": "string",
"format": "date-time"
},
"completed_at": {
"type": "string",
"format": "date-time"
},
"created_at": {
"type": "string",
"format": "date-time"
},
"updated_at": {
"type": "string",
"format": "date-time"
},
"status_reason_code": {
"type": "string",
"description": "Normalized user-safe reason for a FAILED or CANCELED job",
"enum": [
"TIME_LIMIT_EXCEEDED",
"NON_ZERO_EXIT",
"IMAGE_PULL_FAILED",
"UNEXPECTED_STATUS_CODE",
"EXECUTION_FAILED",
"SYSTEM_ERROR",
"FAILURE_REASON_UNAVAILABLE",
"WORKFLOW_TERMINATED",
"WORKFLOW_UPDATED",
"CANCELLATION_REASON_UNAVAILABLE"
]
},
"status_reason_message": {
"type": "string",
"description": "Canonical safe reason message; present only for FAILED and CANCELED jobs"
}
}
}401
Missing or invalid session
404
Resource not found
429
Ingress rate or connection limit exceeded for the client address
